# Retrieve a quote

> Get a quote by id.

`GET https://api.camelpayment.com/v1/fx/quotes/{quote_id}`

## Path parameters

- `quote_id` (string, required): The quote id, starting with fxq_.

## Request

**cURL**

```bash
curl https://api.camelpayment.com/v1/fx/quotes/fxq_01JBXA7K2M4N6P8R0T2V4X6Z8B \
  -H "Authorization: Bearer $CAMEL_API_KEY"
```

**Node.js**

```javascript
const response = await fetch('https://api.camelpayment.com/v1/fx/quotes/fxq_01JBXA7K2M4N6P8R0T2V4X6Z8B', {
  method: 'GET',
  headers: {
    Authorization: `Bearer ${process.env.CAMEL_API_KEY}`
  }
});
const data = await response.json();
```

**Python**

```python
import os
import requests

response = requests.get(
    "https://api.camelpayment.com/v1/fx/quotes/fxq_01JBXA7K2M4N6P8R0T2V4X6Z8B",
    headers={
        "Authorization": f"Bearer {os.environ['CAMEL_API_KEY']}",
    },
)
data = response.json()
```

## Response

**200**

```json
{
  "id": "fxq_01JBXA7K2M4N6P8R0T2V4X6Z8B",
  "object": "fx_quote",
  "source_amount": 10000,
  "source_currency": "USD",
  "target_amount": 15400000,
  "target_currency": "ARS",
  "rate": "1540.0000000000",
  "market_rate": "1540.0000000000",
  "spread_bps": 0,
  "rates_as_of": "2026-11-12T15:00:00Z",
  "expires_at": "2026-11-12T15:19:05Z",
  "created_at": "2026-11-12T15:04:05Z"
}
```

## Errors

| Status | When |
| --- | --- |
| `401` | The API key is missing, malformed, or revoked. |
| `404` | No quote with this id in this environment. |
| `429` | Too many requests. Wait for Retry-After seconds. |
